Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.portlet.interceptor
Class ServletPortletPreferences

    java.lang.Object
      org.apache.struts2.portlet.interceptor.ServletPortletPreferences

All Implemented Interfaces:
  javax.portlet.PortletPreferences

    public class ServletPortletPreferences

extends Object
implements javax.portlet.PortletPreferences

Simple portlet preferences implementation that uses a map in the Session as storage.

Constructor Summary
`ServletPortletPreferences(Map session)`

Method Summary
`Map` | `getMap()`
`Enumeration` | `getNames()`
`String` | `getValue(String key, String def)`
`String[]` | `getValues(String key, String[] def)`
`boolean` | `isReadOnly(String arg0)`
`void` | `reset(String arg0)`
`void` | `setValue(String key, String value)`
`void` | `setValues(String key, String[] value)`
`void` | `store()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletPortletPreferences

    public ServletPortletPreferences(Map session)

Method Detail

### getMap

    public Map getMap()

  Specified by:
    `getMap` in interface `javax.portlet.PortletPreferences`

### getNames

    public Enumeration getNames()

  Specified by:
    `getNames` in interface `javax.portlet.PortletPreferences`

### getValue

    public String getValue(String key,
                           String def)

  Specified by:
    `getValue` in interface `javax.portlet.PortletPreferences`

### getValues

    public String[] getValues(String key,
                              String[] def)

  Specified by:
    `getValues` in interface `javax.portlet.PortletPreferences`

### isReadOnly

    public boolean isReadOnly(String arg0)

  Specified by:
    `isReadOnly` in interface `javax.portlet.PortletPreferences`

### reset

    public void reset(String arg0)
               throws javax.portlet.ReadOnlyException

  Specified by:
    `reset` in interface `javax.portlet.PortletPreferences`
  Throws:
    `javax.portlet.ReadOnlyException`

### setValue

    public void setValue(String key,
                         String value)
                  throws javax.portlet.ReadOnlyException

  Specified by:
    `setValue` in interface `javax.portlet.PortletPreferences`
  Throws:
    `javax.portlet.ReadOnlyException`

### setValues

    public void setValues(String key,
                          String[] value)
                   throws javax.portlet.ReadOnlyException

  Specified by:
    `setValues` in interface `javax.portlet.PortletPreferences`
  Throws:
    `javax.portlet.ReadOnlyException`

### store

    public void store()
               throws IOException,
                      javax.portlet.ValidatorException

  Specified by:
    `store` in interface `javax.portlet.PortletPreferences`
  Throws:
    `IOException`
    `javax.portlet.ValidatorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.